# Introduction {#mainpage}
The _fuselage\_design_ module is your go-to tool in the UNICADO sizing loop for all things aircraft fuselage! From sculpting the cockpit section to shaping the constant and tail section, this module handles it all with precision and flexibility. Need parametric ellipses for those fuselage cross-sections? Done. Want to adapt to a unique aircraft configuration? No problem! Ok, you got me... coming soon. :soon:

Seamlessly integrated into the design workflow, _fuselage\_design_ empowers you to create efficient, certifiable fuselage geometries — all while keeping your design process smooth and adaptable.

## Summary of features
Here’s a quick rundown of what the tool currently does, along with a sneak peek at what's planned:

Configuration     | Energy carrier   | Fidelity  | Methods   | Status                               |
------------------|------------------|-----------|-----------|:------------------------------------:|
Tube-and-wing     |Kerosene          |Empirical  |TUB        |running :white_check_mark:      |
Tube-and-wing     |Liquid hydrogen   |Empirical  |TUB        |? |
Blended-wing-body |...               |...        |...        |under development :construction:|

## A user's guide to fuselage design
The _fuselage\_design_ tool is your key to designing the aircraft's fuselage. In this user documentation, you’ll find all the information you need to understand the tool, as well as the necessary inputs and configurations to run a fuselage design from the ground up.
The following sections will walk you through the process:

- [Getting started](getting_started.md)
- [Run your first fuselage design](run_your_first_design.md)

For a comprehensive understanding of the tool’s functionality, the documentation is structured into two distinct sections:

- A [method description](design_method.md) and
- a [software architecture](software_architecture.md)
section.

Ready to dive in? Let’s get started! :airplane:


<!-- ## You are a Developer?
If you are familiar with these concepts and want to contribute - head over to the developers guide to get your own method running in UNICADO!

The following pages will help you understand the code structure:

- [Prerequisites](prerequisites.md)
- [Build the code](build-the-code.md)
- [Tank design module structure](wing-module-structure.md)
- [Available methods](available-methods.md)
- [Method template](method-template.md)

We appreciate it! -->